PDF::Builder::Content::Hyphenate_basic(3)

NAME
PDF::Builder::Content::Hyphenate_basic - Simple hyphenation capability

Inherits from PDF::Builder::Content::Text

SYNOPSIS
These are internal routines that are somewhat experimental, and may (or may not) be extended in the future. They are called from various Content routines that take long strings of text and split them into fixed-length lines.

Words are split to fill the line most completely, without regard to widows and orphans, long runs of hyphens at the right edge, "rivers" of space flowing through a paragraph, and other problems. Also, only simple splitting is done (not actually words), on a simple, language-independent basis. No dictionary or rules-based splitting is currently done.

This functionality may well be replaced by "hooks" to call language-specific word-splitting rules, as well as worrying about the appearance of the results (such as Knuth-Plass).